%define upstream_name    Convert-Scalar
%define upstream_version 1.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Convert-Scalar module for perl 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module exports various internal perl methods that change the internal
representation or state of a perl scalar. All of these work in-place, that is,
they modify their scalar argument. No functions are exported by default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc COPYING Changes META.yml README
%{perl_vendorarch}/Convert/Scalar.pm
%{perl_vendorarch}/auto/Convert/Scalar
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-3.mga3
+ Revision: 364806
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.100.0-2.mga3
+ Revision: 250378
- rebuild for perl 5.16
- update to 1.1

* Sat Jun 11 2011 sander85 <sander85> 1.40.0-3.mga2
+ Revision: 103755
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 1.40.0-2.mga1
+ Revision: 10246
- imported package perl-Convert-Scalar

